# TdApi.ChatPhotoInfo (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatPhotoInfo

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatPhotoInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatPhotoInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatPhotoInfo extends TdApi.Object
Contains basic information about the photo of a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.File`
`big`
A big (640x640) chat photo variant in JPEG format.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`hasAnimation`
True, if the photo has animated variant.
`boolean`
`isPersonal`
True, if the photo is visible only for the current user.
`TdApi.Minithumbnail`
`minithumbnail`
Chat photo minithumbnail; may be null.
`TdApi.File`
`small`
A small (160x160) chat photo variant in JPEG format.

## Constructor Summary

Constructors
Constructor
Description
`ChatPhotoInfo()`
Contains basic information about the photo of a chat.
`ChatPhotoInfo(TdApi.File small, TdApi.File big, TdApi.Minithumbnail minithumbnail, boolean hasAnimation, boolean isPersonal)`
Contains basic information about the photo of a chat.
`ChatPhotoInfo(DataInput input)`
Contains basic information about the photo of a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### small

public TdApi.File small
A small (160x160) chat photo variant in JPEG format. The file can be downloaded only before the photo is changed.

### big

public TdApi.File big
A big (640x640) chat photo variant in JPEG format. The file can be downloaded only before the photo is changed.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Chat photo minithumbnail; may be null.

### hasAnimation

public boolean hasAnimation
True, if the photo has animated variant.

### isPersonal

public boolean isPersonal
True, if the photo is visible only for the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatPhotoInfo

public ChatPhotoInfo()
Contains basic information about the photo of a chat.

### ChatPhotoInfo

public ChatPhotoInfo(TdApi.File small, TdApi.File big, TdApi.Minithumbnail minithumbnail, boolean hasAnimation, boolean isPersonal)
Contains basic information about the photo of a chat.

Parameters:
  `small` - A small (160x160) chat photo variant in JPEG format. The file can be downloaded only before the photo is changed.
  `big` - A big (640x640) chat photo variant in JPEG format. The file can be downloaded only before the photo is changed.
  `minithumbnail` - Chat photo minithumbnail; may be null.
  `hasAnimation` - True, if the photo has animated variant.
  `isPersonal` - True, if the photo is visible only for the current user.

### ChatPhotoInfo

public ChatPhotoInfo(DataInput input) throws IOException
Contains basic information about the photo of a chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`